com.pixelmed.display

## Class SafeFileChooser

- java.lang.Object
- - com.pixelmed.display.SafeFileChooser

    public class SafeFileChooser
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `SafeFileChooser.SafeFileChooserThread`

### Constructor Summary

Constructors
Constructor and Description
`SafeFileChooser()`
`SafeFileChooser(java.lang.String currentDirectoryPath)`

### Method Summary

Methods
`java.io.File` `getCurrentDirectory()`
`java.io.File` `getSelectedFile()`
`void` `setDialogTitle(java.lang.String dialogTitle)`
`void` `setFileSelectionMode(int mode)`
`int` `showOpenDialog(java.awt.Component parent)`
`int` `showSaveDialog(java.awt.Component parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeFileChooser

    public SafeFileChooser()

#### SafeFileChooser

    public SafeFileChooser(java.lang.String currentDirectoryPath)

### Method Detail

#### setFileSelectionMode

    public void setFileSelectionMode(int mode)
                              throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### showOpenDialog

    public int showOpenDialog(java.awt.Component parent)
                       throws java.awt.HeadlessException

Throws:
  `java.awt.HeadlessException`

#### getCurrentDirectory

    public java.io.File getCurrentDirectory()

#### getSelectedFile

    public java.io.File getSelectedFile()

#### showSaveDialog

    public int showSaveDialog(java.awt.Component parent)
                       throws java.awt.HeadlessException

Throws:
  `java.awt.HeadlessException`

#### setDialogTitle

    public void setDialogTitle(java.lang.String dialogTitle)
                        throws java.awt.HeadlessException

Throws:
  `java.awt.HeadlessException`